db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel John Debrunner <...@apache.org>
Subject Re: Q: Should Derby 10.3 be Derby 11?
Date Thu, 22 Feb 2007 17:54:59 GMT
Rick Hillegas wrote:
> Daniel John Debrunner wrote:
>> Rick Hillegas wrote:
>>> Daniel John Debrunner wrote:
>>>> ...
>>>>
>>>> A wiki page with the proposed backwards compatibility issues listed 
>>>> together and with definition(s) of secure-by-default would be good. 
>>>> Since Rick seems to be proposing most of the backwards compatibility 
>>>> issues he seems like a good candidate to write the initial version 
>>>> of the page. :-) It could be just the collection of tables from the 
>>>> various functional specs.
>>> The 10.3 release page now ends with a section which describes 
>>> incompatibilities with the previous release: 
>>> http://wiki.apache.org/db-derby/DerbyTenThreeRelease
>>
>> Thanks Rick, from a quick look the DBA powers section doesn't seem to 
>> match the comments in DERBY-2264 related to requiring authentication. 
>> But I'm not sure where that stands, (which is why a summary is a good 
>> thing ;-)
>>
>> Dan.
>>
> Hi Dan,
> 
> I'm afraid I'm blind this morning. What discrepancy do you see between 
> the 10.3 incompatibility section and the comments on DERBY-2264?

The DBA powers section on the wiki page makes no mention that this 
change is only in effect if authentication is enabled.
This comment in DERBY-2264 seems to say that the restrictions are 
enforced when authentication is enabled.
https://issues.apache.org/jira/browse/DERBY-2264#action_12474538

Dan.


Mime
View raw message